import request from '@/utils/request'

// 查询天然气物性参数列表
export function listNgpar(query) {
  return request({
    url: '/ngtools/ngpar/list',
    method: 'get',
    params: query
  })
}

// 查询天然气物性参数详细
export function getNgpar(id) {
  return request({
    url: '/ngtools/ngpar/' + id,
    method: 'get'
  })
}

// 新增天然气物性参数
export function addNgpar(data) {
  return request({
    url: '/ngtools/ngpar',
    method: 'post',
    data: data
  })
}

// 修改天然气物性参数
export function updateNgpar(data) {
  return request({
    url: '/ngtools/ngpar',
    method: 'put',
    data: data
  })
}

// 删除天然气物性参数
export function delNgpar(id) {
  return request({
    url: '/ngtools/ngpar/' + id,
    method: 'delete'
  })
}
